%Performs tests from Section 4.2.1.
%Random sparse multivariate trigonometric polynomials are generated
%and all frequencies with corresponding Fourier coefficients are
%reconstructed from samples using Algorithm 3.

clear all

nruns = 10; % number of repetitions

sparsity = 1000;

test1_rr1l_sfft_algorithm_multipletests( 5:5:30, 32, sparsity, 'rlfftriabs', 'rand', sparsity, 1e-12, 1, nruns, 'test1_rlfftriabs_results.mat' );

print_test1( 'test1_rlfftriabs_results.mat' );
fprintf('\n');
